System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Data.SqlTypes.INullable System.IComparable System.Xml.Serialization.IXmlSerializable

Any non-zero value is interpreted as 1.

The key difference between a structure and a standard Boolean value is that, where a standard Boolean has two possible values, true and false, a structure has three possible values, , , or .

Represents an integer value that is either 1 or 0 to be stored in or retrieved from a database.

- Constructor
  To be added

  Initializes a new instance of the structure using the supplied Boolean value.

  The value for the new structure; either true or false.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the specified integer value.

  The integer whose value is to be used for the new structure.
  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Computes the bitwise AND operation of two specified structures.

  The result of the logical AND operation.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Property
  System.Byte To be added: an object of type 'byte'

  The byte value will be either 0 or 1.

  Gets the value of the structure as a byte.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Int32 ``

  Any instance of , regardless of its value, is considered greater than a null reference (Nothing in Visual Basic).

  Compares this object to the supplied object and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and value.

  Value

  Description

  A negative integer

  This instance is less than .

  Zero

  This instance is equal to .

  A positive integer

  This instance is greater than .

  -or-

  is a null reference (Nothing in Visual Basic).

  A object to compare, or a null reference (Nothing in Visual Basic).
- Method
  System.Int32 ``

  Any instance of , regardless of its value, is considered greater than a null reference (Nothing in Visual Basic).

  Compares this structure to a specified object and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and value.

  Value

  Description

  A negative integer

  This instance is less than .

  Zero

  This instance is equal to .

  A positive integer

  This instance is greater than .

  -or-

  is a null reference (Nothing in Visual Basic).

  An object to compare, or a null reference (Nothing in Visual Basic). 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Compares the supplied object parameter to the .

  true if object is an instance of and the two are equal; otherwise, false.

  The object to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two structures to determine whether they are equal.

  A that is if the two instances are equal or if the two instances are not equal. If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlBoolean

  The field is a constant for the structure.

  Represents a false value that can be assigned to the property of an instance of the structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 To be added

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Xml.XmlQualifiedName `` To be added.

  Returns the XML Schema definition language (XSD) of the specified .

  A string value that indicates the XSD of the specified .

  A .
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` ``

  If either instance of or is null, the value of the will be null.

  Compares two instances of to determine whether the first is greater than the second.

  A that is true if the first instance is greater than the second instance; otherwise false.

  A structure. A structure.
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` ``

  If either instance of or is null, the value of the will be null.

  Compares two instances of to determine whether the first is greater than or equal to the second.

  A that is true if the first instance is greater than or equal to the second instance; otherwise false.

  A structure. A structure.
- Property
  System.Boolean To be added: an object of type 'bool'

  If the is , this property still will be false.

  Indicates whether the current is .

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  For more information, see Handling Null Values (ADO.NET).

  Indicates whether this structure is null.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  If the is , this property still will be false.

  Indicates whether the current is .

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` ``

  If either instance of or is null, the value of the will be null.

  Compares two instances of to determine whether the first is less than the second.

  A that is true if the first instance is less than the second instance; otherwise, false.

  A structure. A structure.
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` ``

  If either instance of or is null, the value of the will be null.

  Compares two instances of to determine whether the first is less than or equal to the second.

  A that is true if the first instance is less than or equal to the second instance; otherwise, false.

  A structure. A structure.
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of for equality.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlBoolean

  The field is a constant for the structure. For more information, see Handling Null Values (ADO.NET).

  Represents that can be assigned to this instance of the structure.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlTypes.SqlBoolean

  The field is a constant for the structure.

  Represents a one value that can be assigned to the property of an instance of the structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` To be added

  Performs a one's complement operation on the supplied structures.

  The one's complement of the supplied .

  A structure. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Computes the bitwise AND operation of two specified structures.

  The result of the logical AND operation.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Computes the bitwise OR of its operands.

  The results of the logical OR operation.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of for equality.

  A that is if the two instances are equal or if the two instances are not equal. If either instance of is null, the of the will be .

  A . A .
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a bitwise exclusive-OR (XOR) operation on the supplied parameters.

  The result of the logical XOR operation.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` To be added.

  The false operator can be used to test the of the to determine whether it is false.

  Returns true if the supplied parameter is is false, false otherwise.

  The structure to be tested.
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` ``

  If either instance of or is null, the value of the will be null.

  Compares two structures to determine whether the first is greater than the second.

  A that is true if the first instance is greater than the second instance; otherwise, false.

  A object. A object.
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` ``

  If either instance of or is null, the value of the will be null.

  Compares two structures to determine whether the first is greater than or equal to the second.

  A that is true if the first instance is greater than or equal to the second instance; otherwise, false.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A . A .
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` ``

  If either instance of or is null, the value of the will be null.

  Compares two instances of to determine whether the first is less than the second.

  A that is true if the first instance is less than the second instance; otherwise, false.

  A structure. A structure.
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` ``

  If either instance of or is null, the value of the will be null.

  Compares two instances of to determine whether the first is less than or equal to the second.

  A that is true if the first instance is less than or equal to the second instance; otherwise, false.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` To be added.

  Performs a NOT operation on a .

  A with the if argument was true, if argument was null, and otherwise.

  The on which the NOT operation will be performed.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` To be added.

  Performs a one's complement operation on the supplied structures.

  The one's complement of the supplied .

  A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` To be added.

  The true operator can be used to test the of the to determine whether it is true.

  Returns true if the supplied parameter is is true, false otherwise.

  The structure to be tested.
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a bitwise OR operation on the two specified structures.

  A new structure whose Value is the result of the bitwise OR operation.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` To be added

  Converts the specified representation of a logical value to its equivalent.

  A structure that contains the parsed value.

  The to be converted. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Xml.Schema.XmlSchema To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  An XmlSchema.

- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlReader
- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlWriter
- Method
  System.Data.SqlTypes.SqlByte To be added

  Converts this structure to .

  A new structure whose value is 1 or 0. If the structure's value equals true, the new structure's value is 1. Otherwise, the new structure's value is 0.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal To be added

  Converts this structure to .

  A new structure whose value is 1 or 0. If the structure's value equals true then the new structure's value is 1. Otherwise, the new structure's value is 0.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDouble To be added

  Converts this structure to .

  A new structure whose value is 1 or 0. If the structure's value equals true then the new structure's value is 1. Otherwise, the new structure's value is 0.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt16 To be added

  Converts this structure to .

  A new SqlInt16 structure whose value is 1 or 0. If the structure's value equals true then the new structure's value is 1. Otherwise, the new SqlInt16 structure's value is 0.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt32 To be added

  Converts this structure to .

  A new SqlInt32 structure whose value is 1 or 0. If the structure's value equals true, the new structure's value is 1. Otherwise, the new SqlInt32 structure's value is 0.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt64 To be added

  Converts this structure to .

  A new SqlInt64 structure whose value is 1 or 0. If the structure's value equals true, the new structure's value is 1. Otherwise, the new SqlInt64 structure's value is 0.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlMoney To be added

  Converts this structure to .

  A new structure whose value is 1 or 0. If the structure's value equals true, the new value is 1. If the structure's value equals false, the new value is 0. If structure's value is neither 1 nor 0, the new value is .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlSingle To be added

  Converts this structure to .

  A new structure whose value is 1 or 0.

  If the structure's value equals true, the new structure's value is 1; otherwise the new structure's value is 0.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlString To be added

  Converts this structure to .

  A new structure whose value is 1 or 0. If the structure's value equals true then structure's value is 1. Otherwise the new structure's value is 0.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Converts this structure to a string.

  A string that contains the value of the . If the value is null, the string will contain "null".

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlTypes.SqlBoolean

  The field is a constant for the structure.

  Represents a true value that can be assigned to the property of an instance of the structure.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets the structure's value. This property is read-only.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a bitwise exclusive-OR operation on the supplied parameters.

  The result of the logical XOR operation.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlBoolean

  The field is a constant for the structure.

  Represents a zero value that can be assigned to the property of an instance of the structure.

  1.0.5000.0
  2.0.0.0
System.Xml.Serialization.XmlSchemaProvider("GetXsdType")